Type to search.

Create a Mistral inference endpoint

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.15 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create an inference endpoint to perform an inference task with the mistral service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: text_embedding completion chat_completion
mistral_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, mistral.

Values: mistral
service_settings object required

Settings used to install the inference model. These settings are specific to the mistral service.

api_key string required

A valid API key of your Mistral account. You can find your Mistral API keys or you can create a new one on the API Keys page.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

max_input_tokens number

The maximum number of tokens per input before chunking occurs.

model string required

The name of the model to use for the inference task. Refer to the Mistral models documentation for the list of available models.

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding